### Method

# WebKit2 SecurityOrigin ref

since: 2.16

#### Declaration [src]

    WebKitSecurityOrigin*
    webkit_security_origin_ref (
      WebKitSecurityOrigin* origin
    )

#### Description [src]

Atomically increments the reference count of `origin` by one.

This function is MT-safe and may be called from any thread.

Available since: 2.16

#### Return value

Type: `WebKitSecurityOrigin`

The passed `WebKitSecurityOrigin`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.